package cn.superdesk.uniorder.dubbo.provider.organisation;


import cn.superdesk.uniorder.common.exception.utils.ExceptionUtils;
import cn.superdesk.uniorder.common.json.AnJsonUtils;
import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.organisation.SysCliqueOrg;
import cn.superdesk.uniorder.dto.param.organisation.SysCliqueOrgParam;
import cn.superdesk.uniorder.dubbo.facade.organisation.DubboSysCliqueOrgService;
import cn.superdesk.uniorder.service.organisation.SysCliqueOrgService;
import cn.superdesk.uniorder.common.numerical.AnBeanUtils;
import com.alibaba.dubbo.config.annotation.Service;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-04-28 14:08:25
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-04-28 14:08:25
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboSysCliqueOrgServiceImpl implements DubboSysCliqueOrgService {

	@Autowired
	private SysCliqueOrgService sysCliqueOrgService;


	/****************************************** extends BaseService 部分 start ******************************************/

	@Override
	public void addObj(SysCliqueOrgParam param) {

		SysCliqueOrg sysCliqueOrg = AnBeanUtils.copy(param, SysCliqueOrg.class);
		sysCliqueOrgService.insertSelective(sysCliqueOrg);

	}

	@Override
	public void updateObj(SysCliqueOrgParam param) {

		SysCliqueOrg sysCliqueOrg = AnBeanUtils.copy(param, SysCliqueOrg.class);
		sysCliqueOrgService.updateByPrimaryKeySelective(sysCliqueOrg);
	}

	@Override
	public void deleteObj(Long id) {
		sysCliqueOrgService.deleteObj(id);
	}

	@Override
	public SysCliqueOrg findById(Long id) {
		return sysCliqueOrgService.findById(id);
	}

	@Override
	public PageInfo<SysCliqueOrg> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {
		return sysCliqueOrgService.findByPaging(conditions, pageNun, pageSize);
	}

	@Override
	public List<SysCliqueOrg> findAll(Map<String, Object> queryMap) {

		return sysCliqueOrgService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	@Override
	public void addSysCliqueOrg(SysCliqueOrgParam param) {

		SysCliqueOrg sysCliqueOrg = AnBeanUtils.copy(param, SysCliqueOrg.class);
		sysCliqueOrgService.addSysCliqueOrg(sysCliqueOrg);
	}

	@Override
	public void updateSysCliqueOrg(SysCliqueOrgParam param) {

		SysCliqueOrg sysCliqueOrg = AnBeanUtils.copy(param, SysCliqueOrg.class);
		sysCliqueOrgService.updateSysCliqueOrg(sysCliqueOrg);
	}

	@Override
	public void deleteSysCliqueOrg(Long id) {
		sysCliqueOrgService.deleteSysCliqueOrg(id);
	}

	@Override
	public SysCliqueOrg findSysCliqueOrgById(Long id) {
		return sysCliqueOrgService.findSysCliqueOrgById(id);
	}

	@Override
	public R<List<SysCliqueOrg>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {
		return sysCliqueOrgService.pageQuery(conditions, pageNun, pageSize);

	}

	/****************************************** kafka start ******************************************/

	@Override
	public void kafkaMergeReceiveCliqueOrg(String message) {

		try {

			SysCliqueOrg sysCliqueOrgEntity = AnJsonUtils.toObject(message, SysCliqueOrg.class);
			log.info("\n转换:\n{}", AnJsonUtils.toJson(sysCliqueOrgEntity));

			sysCliqueOrgService.kafkaMergeReceiveCliqueOrg(sysCliqueOrgEntity);
		} catch (Exception e) {
			log.error("kafkaMergeReceiveCliqueOrg 错误 \n " + ExceptionUtils.getMessage(e));

			e.printStackTrace();
		}
	}

	@Override
	public void kafkaDeleteReceiveCliqueOrg(String message) {

		try {

			SysCliqueOrg sysCliqueOrgEntity = AnJsonUtils.toObject(message, SysCliqueOrg.class);
			log.info("\n转换:\n{}", AnJsonUtils.toJson(sysCliqueOrgEntity));

			sysCliqueOrgService.kafkaDeleteReceiveCliqueOrg(sysCliqueOrgEntity);
		} catch (Exception e) {
			log.error("kafkaDeleteReceiveCliqueOrg 错误 \n " + ExceptionUtils.getMessage(e));

			e.printStackTrace();
		}
	}

	/****************************************** kafka   end ******************************************/
}
